AdfRichSelectManyShuttle.SELECTION = "selection";
$goog$exportSymbol$$("AdfRichSelectManyShuttle.SELECTION", AdfRichSelectManyShuttle.SELECTION);
AdfRichSelectManyShuttle.$POINTERTYPE$ = "pointerType";
$goog$exportSymbol$$("AdfRichSelectManyShuttle.POINTERTYPE", AdfRichSelectManyShuttle.$POINTERTYPE$);
AdfRichSelectManyShuttle.$InitSubclass$ = function $AdfRichSelectManyShuttle$$InitSubclass$$() {
  $AdfUIComponent$$.$SetDisconnectedProperty$(this, AdfRichSelectManyShuttle.SELECTION);
  $AdfUIComponent$$.$SetDisconnectedProperty$(this, AdfRichSelectManyShuttle.$POINTERTYPE$);
};
$goog$exportSymbol$$("AdfRichSelectManyShuttle.InitSubclass", AdfRichSelectManyShuttle.$InitSubclass$);
AdfRichSelectManyShuttle.prototype.getSelection = function $AdfRichSelectManyShuttle$$getSelection$() {
  return this.$getProperty$(AdfRichSelectManyShuttle.SELECTION);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichSelectManyShuttle.prototype.getSelection", {getSelection:AdfRichSelectManyShuttle.prototype.getSelection});
AdfRichSelectManyShuttle.prototype.setSelection = function $AdfRichSelectManyShuttle$$setSelection$($selection$$1$$) {
  $AdfAssert$$.$assertArray$($selection$$1$$);
  return this.setProperty(AdfRichSelectManyShuttle.SELECTION, $selection$$1$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfRichSelectManyShuttle.prototype.setSelection", {setSelection:AdfRichSelectManyShuttle.prototype.setSelection});
